第一次maven+nexus启动错误

南湖苏大帅 发布于 2013/08/16 10:58
阅读 2K+
收藏 1

我的jdk版本

求求大神解决啊,,,弄了一上午了....万分感激

以下是问题补充:

@南湖苏大帅:wrapper | Reloading Wrapper configuration... wrapper | Launching a JVM... jvm 5 | java.lang.UnsupportedClassVersionError: org/sonatype/nexus/bootstrap jsw/JswLauncher : Unsupported major.minor version 51.0 jvm 5 | at java.lang.ClassLoader.defineClass1(Native Method) jvm 5 | at java.lang.ClassLoader.defineClassCond(Unknown Source) jvm 5 | at java.lang.ClassLoader.defineClass(Unknown Source) jvm 5 | at java.security.SecureClassLoader.defineClass(Unknown Source) jvm 5 | at java.net.URLClassLoader.defineClass(Unknown Source) jvm 5 | at java.net.URLClassLoader.access$000(Unknown Source) jvm 5 | at java.net.URLClassLoader$1.run(Unknown Source) jvm 5 | at java.security.AccessController.doPrivileged(Native Method) jvm 5 | at java.net.URLClassLoader.findClass(Unknown Source) jvm 5 | at java.lang.ClassLoader.loadClass(Unknown Source) jvm 5 | at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source) jvm 5 | at java.lang.ClassLoader.loadClass(Unknown Source) jvm 5 | Could not find the main class: org.sonatype.nexus.bootstrap.jsw.JswL uncher. Program will exit. jvm 5 | Exception in thread "main" wrapper | JVM exited while loading the application. wrapper | There were 5 failed launches in a row, each lasting less than 300 se onds. Giving up. wrapper | There may be a configuration problem: please check the logs. wrapper | <-- Wrapper Stopped 请按任意键继续. . . (2013/08/16 11:22)
加载中
0
ddatsh
ddatsh
装最新版JDK 啥都搞定了
南湖苏大帅
南湖苏大帅
正在尝试 3q
0
冷血
冷血
都不说点具体的,神仙也救不了你。
0
winnie_tour
winnie_tour

W've tracked this down to an incompatible JVM or JRE.   If you are using Debian you may be running the GNU Interpreter for Java (gij).   Nexus is not tested or qualified with this unsupported Java runtime.   If you are experiencing this error, Sonatype recommends that you obtain a JDK or JRE from Oracle.    If you are running on an Ubuntu or Debian distribution the current recommendation is to use Sun Java 1.6.

See, the Debian Java page for more information about installing the Sun Java 1.6 JDK or JRE.

南湖苏大帅
南湖苏大帅
1.6的貌似不行 正在下载1.7 3q
0
南湖苏大帅
南湖苏大帅
正在下载java7,,,试试再说  谢谢各位
返回顶部
顶部